| Home | Libraries | People | FAQ | More

## BoostBook element `template-type-parameter`

template-type-parameter — Declares a template type parameter

## Synopsis

template-type-parameter ::= (default?, purpose?)

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date: 2009-03-14 11:42:38 +0000 (Sat, 14 Mar 2009) $ to keep "last revised" information in sync with CVS changes
pack | #IMPLIED | CDATA | Set to '1' if the parameter is a parameter pack.
name | #REQUIRED | CDATA | The name of the element being declared to referenced
id | #IMPLIED | CDATA | A global identifier for this element
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes